<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: src/Material.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_material_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Material.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_material_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * eduRayTracer - An Educational Ray Tracing Software Package</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Contributor(s): Pedro Santana - ISCTE-IUL (2014-2016)</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef _H_Material_</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define _H_Material_</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vec_8hpp.html">Vec.hpp</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;math.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="class_material.html">   19</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_material.html">Material</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="class_material.html#a6b14d96290f6529241d9b898596b83c5">   24</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#a6b14d96290f6529241d9b898596b83c5">cr</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    </div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">   27</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">cp</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    </div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">   30</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">ca</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    </div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    </div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">   34</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">p</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    </div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_material.html#a133e528e69badb73022248d69f74e6bb">   38</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a133e528e69badb73022248d69f74e6bb">emissive</a>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    </div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    </div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">   42</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">bump</a>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    </div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">   46</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">tiling</a>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    </div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">   50</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">tex_map</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    </div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="class_material.html#a396bd4e93971db0e58297864217038b4">   53</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a396bd4e93971db0e58297864217038b4">reflective</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    </div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    </div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">   57</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">refractive</a>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    </div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    </div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="class_material.html#ae87327bf313e3ba962250e6bc330f990">   61</a></span>&#160;    <span class="keywordtype">double</span> *<a class="code" href="class_material.html#ae87327bf313e3ba962250e6bc330f990">tex_image</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    </div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">   65</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">decay</a>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    </div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    </div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">   70</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">rft</a>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    </div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">   73</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">tex_width</a>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    </div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="class_material.html#a64903bf3624a095b95004620cc4c3688">   76</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_material.html#a64903bf3624a095b95004620cc4c3688">tex_height</a>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    </div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="class_material.html#aba2f3bbc30230e5d6dc7376b6e88df72">   78</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_material.html#aba2f3bbc30230e5d6dc7376b6e88df72">k</a>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    </div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    </div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <a class="code" href="class_material.html#a137e987401b63eb7c6c27c3e38bc74b5">Material</a> (<a class="code" href="class_vec.html">Vec</a> _cr, <a class="code" href="class_vec.html">Vec</a> _cp, <a class="code" href="class_vec.html">Vec</a> _ca, <span class="keywordtype">double</span> _p, <span class="keywordtype">double</span> _decay, <span class="keywordtype">double</span> _rft, <span class="keywordtype">bool</span> _emissive, <span class="keywordtype">bool</span> _refl, <span class="keywordtype">bool</span> _refr, <span class="keywordtype">bool</span> _bump, <span class="keyword">const</span> <span class="keywordtype">char</span>* _filename);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="class_material.html#a137e987401b63eb7c6c27c3e38bc74b5">   97</a></span>&#160;    <a class="code" href="class_material.html#a137e987401b63eb7c6c27c3e38bc74b5">Material</a> () : tiling(1), tex_map(false), bump(false), decay(1), reflective(false), refractive(false), emissive (false) {}</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <a class="code" href="class_material.html#a2c19452d71f54075df8f5405b03129f4">~Material</a>();</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="class_material.html#a0280b01366a8f0fc2ffdeb87ac0fd275">  106</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#a0280b01366a8f0fc2ffdeb87ac0fd275">getCr</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a6b14d96290f6529241d9b898596b83c5">cr</a>;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="class_material.html#a847f683a1b2f97d6a7ee182c9e87eca3">  112</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a847f683a1b2f97d6a7ee182c9e87eca3">setCr</a>(<a class="code" href="class_vec.html">Vec</a> _cr){cr = _cr;}</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    </div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="class_material.html#ad07aff294522f7d3c0d453627bd364fd">  118</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#ad07aff294522f7d3c0d453627bd364fd">getCp</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">cp</a>;}</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="class_material.html#a8e1ec1391572fc46164d392f07129174">  124</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a8e1ec1391572fc46164d392f07129174">setCp</a>(<a class="code" href="class_vec.html">Vec</a> _cp){cp = _cp;}</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    </div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="class_material.html#aa01fadeeceee9591a552c3688db5a533">  130</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#aa01fadeeceee9591a552c3688db5a533">getCa</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">ca</a>;}</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    </div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="class_material.html#aeee8f14c34749e8d299ca6e43858a840">  136</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#aeee8f14c34749e8d299ca6e43858a840">setCa</a>(<a class="code" href="class_vec.html">Vec</a> _ca){ca = _ca;}</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    </div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="class_material.html#a65f9dd5151b513f5bcf54a5fd59b15f2">  142</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#a65f9dd5151b513f5bcf54a5fd59b15f2">getPhong</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">p</a>;}</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    </div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="class_material.html#a61bbfad1e60d4e41943972774d0bc067">  148</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a61bbfad1e60d4e41943972774d0bc067">setPhong</a>(<span class="keywordtype">double</span> _p){p = _p;}</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    </div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="class_material.html#a6175de849601404346db9607b44986dd">  154</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a6175de849601404346db9607b44986dd">isEmissive</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a133e528e69badb73022248d69f74e6bb">emissive</a>;}</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="class_material.html#a782130f7a711c6607dcfe6124a82469f">  160</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a782130f7a711c6607dcfe6124a82469f">setEmissive</a>(<span class="keywordtype">bool</span> _emissive){emissive = _emissive;}</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="class_material.html#a9456e7bde8f91663bb7bae200877e45a">  166</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a9456e7bde8f91663bb7bae200877e45a">isBumpMapped</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">bump</a>;}</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno"><a class="line" href="class_material.html#ab1a8ca07450c105b312f501db03d9ded">  172</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#ab1a8ca07450c105b312f501db03d9ded">setBumpMapped</a>(<span class="keywordtype">bool</span> _bump){bump = _bump;}</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    </div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="class_material.html#a6f2ba344ff230ccb271f60968af8b0e1">  178</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a6f2ba344ff230ccb271f60968af8b0e1">isTextureMapped</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">tex_map</a>;}</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="class_material.html#a938b386ff83eb1cde4831c0c36a5407e">  184</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a938b386ff83eb1cde4831c0c36a5407e">setTextureMapped</a>(<span class="keywordtype">bool</span> _tex_map){tex_map = _tex_map;}</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="class_material.html#a4d14399b390d6795965b51ae9f51e9f4">  190</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#a4d14399b390d6795965b51ae9f51e9f4">isReflective</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a396bd4e93971db0e58297864217038b4">reflective</a>;}</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="class_material.html#a7b442ea5f27bc51da4822e02fb4297bb">  196</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a7b442ea5f27bc51da4822e02fb4297bb">setReflective</a>(<span class="keywordtype">bool</span> _reflective){reflective = _reflective;}</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno"><a class="line" href="class_material.html#ad7ca9400c928202eaca2082e291125b1">  202</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_material.html#ad7ca9400c928202eaca2082e291125b1">isRefractive</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">refractive</a>;}</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="class_material.html#adff5906d2e02f7191d6827f093789780">  208</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#adff5906d2e02f7191d6827f093789780">setRefractive</a>(<span class="keywordtype">bool</span> _refractive){refractive = _refractive;}</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno"><a class="line" href="class_material.html#acbacd01f9d2f985ede123b91687280e8">  214</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#acbacd01f9d2f985ede123b91687280e8">getRefractiveIndex</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">rft</a>;}</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno"><a class="line" href="class_material.html#a114906601db621c0d7101961300d8308">  220</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#a114906601db621c0d7101961300d8308">setRefractiveIndex</a>(<span class="keywordtype">double</span> _rft){rft = _rft;}</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno"><a class="line" href="class_material.html#a6db84f732fc3c38423cbbec8d15e52cb">  226</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_material.html#a6db84f732fc3c38423cbbec8d15e52cb">getTilesNumber</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">tiling</a>;}</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno"><a class="line" href="class_material.html#ae9a0316f3ea807c95d1b3d347bfd7dc0">  232</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#ae9a0316f3ea807c95d1b3d347bfd7dc0">setTilesNumber</a>(<span class="keywordtype">int</span> _tiling){tiling = _tiling;}</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00239"></a><span class="lineno"><a class="line" href="class_material.html#abbbad91a1d220c635894891ab71d6563">  239</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_material.html#abbbad91a1d220c635894891ab71d6563">getLightDecay</a>(){<span class="keywordflow">return</span> <a class="code" href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">decay</a>;}</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno"><a class="line" href="class_material.html#ae52779c037c246aceac07f2d14fb92a8">  246</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_material.html#ae52779c037c246aceac07f2d14fb92a8">setLightDecay</a>(<span class="keywordtype">double</span> _decay){decay = _decay;}</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160; </div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_material.html#afbe529757a43277bb1d1a65c42741e68">tex_pixel</a>(<a class="code" href="class_vec.html">Vec</a> &amp;tex_coord);</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    </div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    <span class="keywordtype">double</span>* <a class="code" href="class_material.html#a7ec5589e2e78d79fa32c25ee00a3b824">loadPPM</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* filename);</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;};</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="class_material_html_a2c19452d71f54075df8f5405b03129f4"><div class="ttname"><a href="class_material.html#a2c19452d71f54075df8f5405b03129f4">Material::~Material</a></div><div class="ttdeci">~Material()</div><div class="ttdef"><b>Definition:</b> Material.cpp:32</div></div>
<div class="ttc" id="class_material_html_a396bd4e93971db0e58297864217038b4"><div class="ttname"><a href="class_material.html#a396bd4e93971db0e58297864217038b4">Material::reflective</a></div><div class="ttdeci">bool reflective</div><div class="ttdoc">Flag stating whether this material is to be reflective, i.e., mirror-like. </div><div class="ttdef"><b>Definition:</b> Material.hpp:53</div></div>
<div class="ttc" id="class_material_html_a938b386ff83eb1cde4831c0c36a5407e"><div class="ttname"><a href="class_material.html#a938b386ff83eb1cde4831c0c36a5407e">Material::setTextureMapped</a></div><div class="ttdeci">void setTextureMapped(bool _tex_map)</div><div class="ttdoc">Sets a boolean stating whether this is a textured mapped material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:184</div></div>
<div class="ttc" id="class_material_html_ad7ca9400c928202eaca2082e291125b1"><div class="ttname"><a href="class_material.html#ad7ca9400c928202eaca2082e291125b1">Material::isRefractive</a></div><div class="ttdeci">bool isRefractive()</div><div class="ttdoc">Returns a boolean stating whether this is a refractive material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:202</div></div>
<div class="ttc" id="class_material_html_abbbad91a1d220c635894891ab71d6563"><div class="ttname"><a href="class_material.html#abbbad91a1d220c635894891ab71d6563">Material::getLightDecay</a></div><div class="ttdeci">double getLightDecay()</div><div class="ttdef"><b>Definition:</b> Material.hpp:239</div></div>
<div class="ttc" id="class_material_html_a9456e7bde8f91663bb7bae200877e45a"><div class="ttname"><a href="class_material.html#a9456e7bde8f91663bb7bae200877e45a">Material::isBumpMapped</a></div><div class="ttdeci">bool isBumpMapped()</div><div class="ttdoc">Returns a boolean stating whether this is a bump mapped material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:166</div></div>
<div class="ttc" id="class_material_html_a137e987401b63eb7c6c27c3e38bc74b5"><div class="ttname"><a href="class_material.html#a137e987401b63eb7c6c27c3e38bc74b5">Material::Material</a></div><div class="ttdeci">Material()</div><div class="ttdef"><b>Definition:</b> Material.hpp:97</div></div>
<div class="ttc" id="class_material_html_aa01fadeeceee9591a552c3688db5a533"><div class="ttname"><a href="class_material.html#aa01fadeeceee9591a552c3688db5a533">Material::getCa</a></div><div class="ttdeci">Vec getCa()</div><div class="ttdoc">Returns the ambient light vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:130</div></div>
<div class="ttc" id="class_material_html_a61bbfad1e60d4e41943972774d0bc067"><div class="ttname"><a href="class_material.html#a61bbfad1e60d4e41943972774d0bc067">Material::setPhong</a></div><div class="ttdeci">void setPhong(double _p)</div><div class="ttdoc">Sets the Phong exponent for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:148</div></div>
<div class="ttc" id="class_material_html_ae87327bf313e3ba962250e6bc330f990"><div class="ttname"><a href="class_material.html#ae87327bf313e3ba962250e6bc330f990">Material::tex_image</a></div><div class="ttdeci">double * tex_image</div><div class="ttdoc">Texture image used for texture mapping. </div><div class="ttdef"><b>Definition:</b> Material.hpp:61</div></div>
<div class="ttc" id="class_material_html_ab1a8ca07450c105b312f501db03d9ded"><div class="ttname"><a href="class_material.html#ab1a8ca07450c105b312f501db03d9ded">Material::setBumpMapped</a></div><div class="ttdeci">void setBumpMapped(bool _bump)</div><div class="ttdoc">Sets a boolean stating whether this is a bump mapped material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:172</div></div>
<div class="ttc" id="class_material_html_a65f9dd5151b513f5bcf54a5fd59b15f2"><div class="ttname"><a href="class_material.html#a65f9dd5151b513f5bcf54a5fd59b15f2">Material::getPhong</a></div><div class="ttdeci">double getPhong()</div><div class="ttdoc">Returns the Phong exponent for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:142</div></div>
<div class="ttc" id="class_material_html_a3dbb2d757ff62d77db78e02d3d1eca7d"><div class="ttname"><a href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">Material::bump</a></div><div class="ttdeci">bool bump</div><div class="ttdoc">Flag stating whether this material is to be bump mapped. </div><div class="ttdef"><b>Definition:</b> Material.hpp:42</div></div>
<div class="ttc" id="class_material_html_a0280b01366a8f0fc2ffdeb87ac0fd275"><div class="ttname"><a href="class_material.html#a0280b01366a8f0fc2ffdeb87ac0fd275">Material::getCr</a></div><div class="ttdeci">Vec getCr()</div><div class="ttdoc">Returns the diffuse reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:106</div></div>
<div class="ttc" id="class_material_html_a114906601db621c0d7101961300d8308"><div class="ttname"><a href="class_material.html#a114906601db621c0d7101961300d8308">Material::setRefractiveIndex</a></div><div class="ttdeci">void setRefractiveIndex(double _rft)</div><div class="ttdoc">Sets the refractive index of this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:220</div></div>
<div class="ttc" id="class_material_html_a8e1ec1391572fc46164d392f07129174"><div class="ttname"><a href="class_material.html#a8e1ec1391572fc46164d392f07129174">Material::setCp</a></div><div class="ttdeci">void setCp(Vec _cp)</div><div class="ttdoc">Sets the specular reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:124</div></div>
<div class="ttc" id="class_material_html_a782130f7a711c6607dcfe6124a82469f"><div class="ttname"><a href="class_material.html#a782130f7a711c6607dcfe6124a82469f">Material::setEmissive</a></div><div class="ttdeci">void setEmissive(bool _emissive)</div><div class="ttdoc">Sets a boolean stating whether this is an emissive material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:160</div></div>
<div class="ttc" id="class_material_html_a0b59cfd4617315821575ad1ad8752a7d"><div class="ttname"><a href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">Material::decay</a></div><div class="ttdeci">double decay</div><div class="ttdef"><b>Definition:</b> Material.hpp:65</div></div>
<div class="ttc" id="class_material_html_acbacd01f9d2f985ede123b91687280e8"><div class="ttname"><a href="class_material.html#acbacd01f9d2f985ede123b91687280e8">Material::getRefractiveIndex</a></div><div class="ttdeci">double getRefractiveIndex()</div><div class="ttdoc">Returns the refractive index of this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:214</div></div>
<div class="ttc" id="class_material_html"><div class="ttname"><a href="class_material.html">Material</a></div><div class="ttdoc">A class to create and manipulate surface materials. </div><div class="ttdef"><b>Definition:</b> Material.hpp:19</div></div>
<div class="ttc" id="class_material_html_a9af8008c4823e80a06e541f9e4813f7d"><div class="ttname"><a href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">Material::refractive</a></div><div class="ttdeci">bool refractive</div><div class="ttdoc">Flag stating whether this material is to be a dieletric, i.e., if it both reflects and refracts light...</div><div class="ttdef"><b>Definition:</b> Material.hpp:57</div></div>
<div class="ttc" id="class_material_html_a6db84f732fc3c38423cbbec8d15e52cb"><div class="ttname"><a href="class_material.html#a6db84f732fc3c38423cbbec8d15e52cb">Material::getTilesNumber</a></div><div class="ttdeci">int getTilesNumber()</div><div class="ttdoc">Returns the number of times the texture is to be replicated in each direction. </div><div class="ttdef"><b>Definition:</b> Material.hpp:226</div></div>
<div class="ttc" id="class_material_html_a133e528e69badb73022248d69f74e6bb"><div class="ttname"><a href="class_material.html#a133e528e69badb73022248d69f74e6bb">Material::emissive</a></div><div class="ttdeci">bool emissive</div><div class="ttdoc">Flag stating whether this material is to be emissive and, if so, _cr will be used to define what is e...</div><div class="ttdef"><b>Definition:</b> Material.hpp:38</div></div>
<div class="ttc" id="class_material_html_aa888d8c2af8d3e4b83c84b5bf1a7a44f"><div class="ttname"><a href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">Material::tex_map</a></div><div class="ttdeci">bool tex_map</div><div class="ttdoc">Flag stating whether this material is associated to a texture map. </div><div class="ttdef"><b>Definition:</b> Material.hpp:50</div></div>
<div class="ttc" id="class_material_html_afbe529757a43277bb1d1a65c42741e68"><div class="ttname"><a href="class_material.html#afbe529757a43277bb1d1a65c42741e68">Material::tex_pixel</a></div><div class="ttdeci">Vec tex_pixel(Vec &amp;tex_coord)</div><div class="ttdoc">Returns the colour Vector obtained from the texture, given a 2D texture coordinate. </div><div class="ttdef"><b>Definition:</b> Material.cpp:38</div></div>
<div class="ttc" id="class_material_html_a6f2ba344ff230ccb271f60968af8b0e1"><div class="ttname"><a href="class_material.html#a6f2ba344ff230ccb271f60968af8b0e1">Material::isTextureMapped</a></div><div class="ttdeci">bool isTextureMapped()</div><div class="ttdoc">Returns a boolean stating whether this is a textured mapped material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:178</div></div>
<div class="ttc" id="class_material_html_aba2f3bbc30230e5d6dc7376b6e88df72"><div class="ttname"><a href="class_material.html#aba2f3bbc30230e5d6dc7376b6e88df72">Material::k</a></div><div class="ttdeci">int k</div><div class="ttdef"><b>Definition:</b> Material.hpp:78</div></div>
<div class="ttc" id="class_material_html_ae9a0316f3ea807c95d1b3d347bfd7dc0"><div class="ttname"><a href="class_material.html#ae9a0316f3ea807c95d1b3d347bfd7dc0">Material::setTilesNumber</a></div><div class="ttdeci">void setTilesNumber(int _tiling)</div><div class="ttdoc">Sets the number of times the texture is to be replicated in each direction. </div><div class="ttdef"><b>Definition:</b> Material.hpp:232</div></div>
<div class="ttc" id="class_material_html_a7b442ea5f27bc51da4822e02fb4297bb"><div class="ttname"><a href="class_material.html#a7b442ea5f27bc51da4822e02fb4297bb">Material::setReflective</a></div><div class="ttdeci">void setReflective(bool _reflective)</div><div class="ttdoc">Sets a boolean stating whether this is a reflective material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:196</div></div>
<div class="ttc" id="class_vec_html"><div class="ttname"><a href="class_vec.html">Vec</a></div><div class="ttdoc">A class to create and manipulate 3D vectors. These can be used to store positions, normals, and RGB triplets. </div><div class="ttdef"><b>Definition:</b> Vec.hpp:16</div></div>
<div class="ttc" id="class_material_html_a9fccedcfa4d38d3b36f8c09a48811213"><div class="ttname"><a href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">Material::rft</a></div><div class="ttdeci">double rft</div><div class="ttdef"><b>Definition:</b> Material.hpp:70</div></div>
<div class="ttc" id="class_material_html_ae9546ff9da82a0f7de667d3f9f1ee3fe"><div class="ttname"><a href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">Material::tiling</a></div><div class="ttdeci">int tiling</div><div class="ttdoc">Number of times the texture is to be replicated. </div><div class="ttdef"><b>Definition:</b> Material.hpp:46</div></div>
<div class="ttc" id="class_material_html_a4d14399b390d6795965b51ae9f51e9f4"><div class="ttname"><a href="class_material.html#a4d14399b390d6795965b51ae9f51e9f4">Material::isReflective</a></div><div class="ttdeci">bool isReflective()</div><div class="ttdoc">Returns a boolean stating whether this is a reflective material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:190</div></div>
<div class="ttc" id="class_material_html_a5ea8e096eeff4452f59443d6cb9bbdd1"><div class="ttname"><a href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">Material::cp</a></div><div class="ttdeci">Vec cp</div><div class="ttdoc">Specular reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:27</div></div>
<div class="ttc" id="class_material_html_ad07aff294522f7d3c0d453627bd364fd"><div class="ttname"><a href="class_material.html#ad07aff294522f7d3c0d453627bd364fd">Material::getCp</a></div><div class="ttdeci">Vec getCp()</div><div class="ttdoc">Returns the specular reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:118</div></div>
<div class="ttc" id="_vec_8hpp_html"><div class="ttname"><a href="_vec_8hpp.html">Vec.hpp</a></div></div>
<div class="ttc" id="class_material_html_ae52779c037c246aceac07f2d14fb92a8"><div class="ttname"><a href="class_material.html#ae52779c037c246aceac07f2d14fb92a8">Material::setLightDecay</a></div><div class="ttdeci">void setLightDecay(double _decay)</div><div class="ttdef"><b>Definition:</b> Material.hpp:246</div></div>
<div class="ttc" id="class_material_html_a7ec5589e2e78d79fa32c25ee00a3b824"><div class="ttname"><a href="class_material.html#a7ec5589e2e78d79fa32c25ee00a3b824">Material::loadPPM</a></div><div class="ttdeci">double * loadPPM(const char *filename)</div><div class="ttdoc">Loads a texture from a .ppm file. </div><div class="ttdef"><b>Definition:</b> Material.cpp:55</div></div>
<div class="ttc" id="class_material_html_af3007a6aa76a2e6f23778ed5394cf2f7"><div class="ttname"><a href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">Material::ca</a></div><div class="ttdeci">Vec ca</div><div class="ttdoc">Ambient light vector. </div><div class="ttdef"><b>Definition:</b> Material.hpp:30</div></div>
<div class="ttc" id="class_material_html_adff5906d2e02f7191d6827f093789780"><div class="ttname"><a href="class_material.html#adff5906d2e02f7191d6827f093789780">Material::setRefractive</a></div><div class="ttdeci">void setRefractive(bool _refractive)</div><div class="ttdoc">Sets a boolean stating whether this is a refractive material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:208</div></div>
<div class="ttc" id="class_material_html_ab25e134eb2853b9d1207bf4b9163aa1a"><div class="ttname"><a href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">Material::p</a></div><div class="ttdeci">double p</div><div class="ttdoc">Phong exponent for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:34</div></div>
<div class="ttc" id="class_material_html_a847f683a1b2f97d6a7ee182c9e87eca3"><div class="ttname"><a href="class_material.html#a847f683a1b2f97d6a7ee182c9e87eca3">Material::setCr</a></div><div class="ttdeci">void setCr(Vec _cr)</div><div class="ttdoc">Sets the diffuse reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:112</div></div>
<div class="ttc" id="class_material_html_ae8dc3db8a8b55b6709017d953e8e6ce8"><div class="ttname"><a href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">Material::tex_width</a></div><div class="ttdeci">int tex_width</div><div class="ttdoc">Width, in pixels, of the texture image loaded for texture mapping. </div><div class="ttdef"><b>Definition:</b> Material.hpp:73</div></div>
<div class="ttc" id="class_material_html_aeee8f14c34749e8d299ca6e43858a840"><div class="ttname"><a href="class_material.html#aeee8f14c34749e8d299ca6e43858a840">Material::setCa</a></div><div class="ttdeci">void setCa(Vec _ca)</div><div class="ttdoc">Sets the ambient light vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:136</div></div>
<div class="ttc" id="class_material_html_a6175de849601404346db9607b44986dd"><div class="ttname"><a href="class_material.html#a6175de849601404346db9607b44986dd">Material::isEmissive</a></div><div class="ttdeci">bool isEmissive()</div><div class="ttdoc">Returns a boolean stating whether this is an emissive material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:154</div></div>
<div class="ttc" id="class_material_html_a64903bf3624a095b95004620cc4c3688"><div class="ttname"><a href="class_material.html#a64903bf3624a095b95004620cc4c3688">Material::tex_height</a></div><div class="ttdeci">int tex_height</div><div class="ttdoc">Height, in pixels, of the texture image loaded for texture mapping. </div><div class="ttdef"><b>Definition:</b> Material.hpp:76</div></div>
<div class="ttc" id="class_material_html_a6b14d96290f6529241d9b898596b83c5"><div class="ttname"><a href="class_material.html#a6b14d96290f6529241d9b898596b83c5">Material::cr</a></div><div class="ttdeci">Vec cr</div><div class="ttdoc">Diffuse reflectance vector for this material. </div><div class="ttdef"><b>Definition:</b> Material.hpp:24</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="_material_8hpp.html">Material.hpp</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
